---
workflow:
  rules:
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: always
    - if: $CI_PIPELINE_SOURCE == "push"
      when: always
    - if: $CI_PIPELINE_SOURCE =~ /^trigger|pipeline|web|api$/
      when: always
    - if: $CI_COMMIT_TAG
      when: never
    - when: always
    - if: $CI_COMMIT_MESSAGE =~ /\[skip ci\]/
      when: never

include:
  - local: "ci/website-ci.yml"
  - local: "ci/semantic-release.yml"
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml
  - template: Security/Secret-Detection.gitlab-ci.yml

variables:
  SAST_EXCLUDED_PATHS: spec,test,tests,tmp,node_modules,target,venv
  SAST_BANDIT_EXCLUDED_PATHS: "*/test/**,*/tests/**,*/node_modules/**,*/target/**,*/venv/**"
  SECRET_DETECTION_EXCLUDED_PATHS: docs
  ## Semantic Release
  ENABLE_SEMANTIC_RELEASE: "true"
  ENABLE_SEMANTIC_RELEASE_DRY_RUN: "true"


validate-renovate-config:
  image: docker.io/renovate/renovate:36.1
  needs: []
  variables:
    RENOVATE_CONFIG_FILE: renovate.json
  script:
    - renovate-config-validator
